# templates/daemonset.yaml.j2
apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: xilinx-fpga-device-plugin
  namespace: {{ k8s_xilinx_device_plugin_namespace }}
spec:
  selector:
    matchLabels:
      name: xilinx-fpga-device-plugin
  template:
    metadata:
      labels:
        name: xilinx-fpga-device-plugin
    spec:
      containers:
        - image: public.ecr.aws/xilinx_dcg/k8s-device-plugin:{{ k8s_xilinx_device_plugin_version }}
          name: device-plugin
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop: ["ALL"]
          volumeMounts:
            - name: device-plugins
              mountPath: /var/lib/kubelet/device-plugins
      volumes:
        - name: device-plugins
          hostPath:
            path: /var/lib/kubelet/device-plugins
{% if k8s_xilinx_device_plugin_tolerations_enabled %}
      tolerations: 
{{ k8s_xilinx_device_plugin_tolerations_rules | to_nice_yaml(indent=2) | indent(8, true) }}
{% endif %}
{% if k8s_xilinx_device_plugin_node_affinity_enabled %}
      affinity:
        nodeAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms: 
{{ k8s_xilinx_device_plugin_node_affinity_rules.nodeSelectorTerms | to_nice_yaml(indent=4) | indent(12, true) }}
{% endif %}
